package com.alihealth.d2d.provtest.enums;

/**
 * @author Jason 数据文件内容子业务类型
 * @date 2025年06月04日 11:08:40
 */
public enum SubTypeEnum {
    SUBTYPE_1011("1011", "境内药品生产企业基本信息数据子集"),
    SUBTYPE_1012("1012", "境外药品生产企业基本信息数据子集"),
    SUBTYPE_1013("1013", "药品生产许可证基本信息数据子集"),
    SUBTYPE_1014("1014", "药品经营企业基本信息数据子集"),
    SUBTYPE_1015("1015", "药品经营许可证基本信息数据子集"),
    SUBTYPE_1016("1016", "药品配送企业基本信息数据子集"),
    SUBTYPE_1017("1017", "药品使用单位基本信息数据子集"),
    SUBTYPE_1018("1018", "国产药品基本信息数据子集"),
    SUBTYPE_1019("1019", "进口药品基本信息数据子集"),
    SUBTYPE_9001("9001", "药检报告基础信息数据子集"),
    SUBTYPE_9002("9002", "药检报告概览回传基础信息数据子集"),
    SUBTYPE_2011("2011", "国产药品生产信息数据子集"),
    SUBTYPE_2012("2012", "药品进口信息数据子集"),
    SUBTYPE_2013("2013", "药品自检信息数据子集"),
    SUBTYPE_2015("2015", "发货单信息数据子集"),
    SUBTYPE_2016("2016", "收货单信息数据子集"),
    SUBTYPE_2017("2017", "药品零售与药品使用信息数据子集"),
    SUBTYPE_2018("2018", "药品召回信息数据子集"),
    SUBTYPE_2019("2019", "库存上报基本信息数据子集"),
    SUBTYPE_2020("2020", "撤销单"),
    SUBTYPE_2051("2051", "温度信息子集-单据与存储设备关系信息"),
    SUBTYPE_2052("2052", "温度信息子集-存储设备温度信息"),
    SUBTYPE_2053("2053", "温度信息子集-运输温度信息");


    private final String  type;
    private final String  name;

    SubTypeEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    // 根据类型获取枚举实例
    public static SubTypeEnum getByType(String type) {
        for (SubTypeEnum typeEnum : values()) {
            if (typeEnum.type.equals(type)) {
                return typeEnum;
            }
        }
        return null;
    }

    // 根据类型获取名称
    public static String getNameByType(String type) {
        SubTypeEnum typeEnum = getByType(type);
        return typeEnum != null ? typeEnum.getName() : "未知类型";
    }
}
